<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<rule>
    <!--忽略深圳开头的地址-->
    <filter regex="^深圳.*"/>
    <!--删除空格-->
    <replacer regex=" " replacement=""/>
    <!--删除*特殊符-->
    <replacer regex="\*" replacement=""/>
    <!--补房号-->
    <appender regex=".*[\d]+号[\d]+$" text="房"/>
    <!--调用转换器-->
    <converter type="number2chinese"/>
    <!--执行java脚本-->
    <script key="str">
        <![CDATA[
            class Test implements java.util.function.Function<String,String> {
                @Override
                public String apply(String s) {
                    return s ;
                }
            }
        ]]>
    </script>
</rule>
